| Home | Libraries | People | FAQ | More

##### url::set_port_number

Set the port.

###### Synopsis

    url&
    set_port_number(
        std::uint16_t n);

###### Description

The port is set to the specified integer.

###### Example

    assert( url( "http://www.example.com" ).set_port_number( 8080 ).authority().buffer() == "www.example.com:8080" );

###### Postconditions

    this->has_authority() == true && this->has_port() == true && this->port_number() == n

###### Complexity

Linear in `this->size()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Parameters

Name | Description
--- | ---
`n` | The port number to set.

###### BNF

    authority     = [ userinfo "@" ] host [ ":" port ]

    port          = *DIGIT

###### Specification

- 3.2.3. Port (rfc3986)

###### See Also

`remove_port`, /root/project/libs/url/include/boost/url/url.hpp